## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AVTPartSimple Class Reference

Simple string part of a complex AVT. More...

`#include <AVTPartSimple.hpp>`

Inheritance diagram for AVTPartSimple:

[legend]
Collaboration diagram for AVTPartSimple:

[legend]
List of all members.

## Public Methods

- AVTPartSimple (StylesheetConstructionContext &constructionContext, const XalanDOMChar *val, XalanDOMString::size_type len)
    Construct a simple Attribute Value Template (AVT) part. More...
- virtual void evaluate (XalanDOMString &buf, XalanNode *contextNode, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const
    Append the value to the buffer. More...
- virtual void evaluate (XalanDOMString &buf, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const
    Append the value to the buffer. More...

## Detailed Description

Simple string part of a complex AVT.

## Constructor & Destructor Documentation

AVTPartSimple::AVTPartSimple ( | StylesheetConstructionContext & constructionContext,
| const XalanDOMChar * val,
| XalanDOMString::size_type len )

  | Construct a simple Attribute Value Template (AVT) part. Parameters:
  constructionContext | context when object constructed
  val | A pure string section of an AVT
  len | The length of val

## Member Function Documentation

void AVTPartSimple::evaluate ( | XalanDOMString & buf,
| const PrefixResolver & prefixResolver,
| XPathExecutionContext & executionContext ) const`[virtual]`

  | Append the value to the buffer. Parameters:
  buf | buffer to write into
  prefixResolver | prefix resolver to use
  executionContext | execution context
Reimplemented from AVTPart.

void AVTPartSimple::evaluate ( | XalanDOMString & buf,
| XalanNode * contextNode,
| const PrefixResolver & prefixResolver,
| XPathExecutionContext & executionContext ) const`[virtual]`

  | Append the value to the buffer. Parameters:
  buf | buffer to write into
  contextNode | current context node
  prefixResolver | prefix resolver to use
  executionContext | execution context
Reimplemented from AVTPart.

The documentation for this class was generated from the following file:

- AVTPartSimple.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.